Competitors
List citations behind a suggestion
The AI answers behind one suggestion, most recent first, with the prompt behind each answer and the rank the brand held in it.
GET
/
api
/
v1
/
public
/
competitors
/
suggestions
/
{suggestion_id}
/
citations
List citations behind a suggestion
curl --request GET \
--url https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"suggestion_id": 123,
"display_name": "<string>",
"items": [
{
"citation_id": 123,
"platform": "ChatGPT",
"created_at": "2023-11-07T05:31:56Z",
"localization": "<string>",
"prompt_id": 123,
"prompt_content": "<string>",
"rank": 123,
"rank_total": 123,
"rank_is_structured": false,
"excerpt": "<string>",
"excerpt_highlights": [
[
123,
123
]
]
}
],
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"citation_count": 0,
"summary": {
"named_answer_count": 123,
"answer_count": 123,
"trend_window_days": 123,
"last_named_at": "2023-11-07T05:31:56Z",
"visibility": 123,
"avg_rank": 123,
"ranked_answer_count": 0,
"platforms": [
{
"platform": "ChatGPT",
"named_answer_count": 123,
"answer_count": 123,
"visibility": 123
}
],
"top_prompts": [
{
"prompt_id": 123,
"prompt_content": "<string>",
"named_answer_count": 123,
"answer_count": 123
}
],
"recent_visibility": 123,
"previous_visibility": 123
}
}{
"detail": "Invalid or expired API key"
}{
"detail": "This website has no active subscription, so its data is unavailable."
}{
"detail": "Website not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Too many requests. Please try again shortly."
}Authorizations
Query Parameters
Response
Successful Response
⌘I
List citations behind a suggestion
curl --request GET \
--url https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhikoo.com/api/v1/public/competitors/suggestions/{suggestion_id}/citations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"suggestion_id": 123,
"display_name": "<string>",
"items": [
{
"citation_id": 123,
"platform": "ChatGPT",
"created_at": "2023-11-07T05:31:56Z",
"localization": "<string>",
"prompt_id": 123,
"prompt_content": "<string>",
"rank": 123,
"rank_total": 123,
"rank_is_structured": false,
"excerpt": "<string>",
"excerpt_highlights": [
[
123,
123
]
]
}
],
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"citation_count": 0,
"summary": {
"named_answer_count": 123,
"answer_count": 123,
"trend_window_days": 123,
"last_named_at": "2023-11-07T05:31:56Z",
"visibility": 123,
"avg_rank": 123,
"ranked_answer_count": 0,
"platforms": [
{
"platform": "ChatGPT",
"named_answer_count": 123,
"answer_count": 123,
"visibility": 123
}
],
"top_prompts": [
{
"prompt_id": 123,
"prompt_content": "<string>",
"named_answer_count": 123,
"answer_count": 123
}
],
"recent_visibility": 123,
"previous_visibility": 123
}
}{
"detail": "Invalid or expired API key"
}{
"detail": "This website has no active subscription, so its data is unavailable."
}{
"detail": "Website not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Too many requests. Please try again shortly."
}